Bug 983489 (CVE-2013-4112)

Summary: CVE-2013-4112 JGroups: Authentication via cached credentials
Product: [Other] Security Response Reporter: Arun Babu Neelicattu <aneelica>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED ERRATA QA Contact:
Severity: low Docs Contact:
Priority: low    
Version: unspecifiedCC: bdawidow, brms-jira, ccrouch, cdewolf, dereed, djorm, epp-bugs, fnasser, grocha, huwang, jason.greene, jbpapp-maint, jdg-bugs, lgao, mposolda, myarboro, pcheung, rhq-maint, security-response-team, soa-p-jira, theute, tkirby, ttarrant, weli
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard: impact=low,public=20130711,reported=20130711,source=redhat,cvss2=3.3/AV:A/AC:L/Au:N/C:P/I:N/A:N,jboss/eap-4=notaffected,jboss/jbds-5=notaffected,jboss/jbds-6=notaffected,epp-4/jgroups=notaffected,epp-5/jgroups=notaffected,soap-4.3/jgroups=notaffected,eap-5/jgroups=notaffected,brms-5/jgroups=notaffected,jon-3.1/jgroups=notaffected,soap-5/jgroups=notaffected,jboss/ewp-5=notaffected,eap-6/jgroups=affected,jdg-6/jgroups=affected,jpp-6/jgroups=affected,wfk-2/jgroups=affected
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2014-01-15 19:55:47 EST Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Bug Depends On: 984363, 984364, 984365, 984366, 984367, 984368, 984369, 984370    
Bug Blocks: 970481, 980700, 983484, 991853, 1010765    

Description Arun Babu Neelicattu 2013-07-11 06:14:22 EDT
A flaw was found in JGroup's DiagnosticsHandler that allowed an attacker on an adjacent network to reuse the credentials from a previous successful authentication. This could be exploited to read diagnostic information (information disclosure) and attain limited remote code execution.

This issue affects JGroups versions 3.0.x (3.0.11.Final and later), 3.1.x (3.1.0.Final and later), 3.2.x (prior to 3.2.10.Final) and 3.3.x (prior to 3.3.3.Final).
Comment 5 Arun Babu Neelicattu 2013-07-15 01:42:58 EDT
This issue was fixed in upstream versions 3.3.3.Final and 3.2.10.Final.
Comment 6 Thomas Heute 2013-07-15 10:52:52 EDT
Will 3.2.10 be certified for EAP ? (To be consumed in JPP 6.1)
Comment 10 errata-xmlrpc 2013-09-04 14:56:30 EDT
This issue has been addressed in following products:

  Red Hat JBoss Enterprise Application Platform 6.1.1

Via RHSA-2013:1209 https://rhn.redhat.com/errata/RHSA-2013-1209.html
Comment 11 errata-xmlrpc 2013-09-04 14:58:27 EDT
This issue has been addressed in following products:

  JBEAP 6 for RHEL 6

Via RHSA-2013:1208 https://rhn.redhat.com/errata/RHSA-2013-1208.html
Comment 12 errata-xmlrpc 2013-09-04 15:02:59 EDT
This issue has been addressed in following products:

  JBEAP 6 for RHEL 5

Via RHSA-2013:1207 https://rhn.redhat.com/errata/RHSA-2013-1207.html
Comment 13 errata-xmlrpc 2013-10-16 12:58:16 EDT
This issue has been addressed in following products:

  Red Hat JBoss Portal 6.1.0

Via RHSA-2013:1437 https://rhn.redhat.com/errata/RHSA-2013-1437.html
Comment 14 errata-xmlrpc 2013-11-27 12:11:14 EST
This issue has been addressed in following products:

  Red Hat JBoss Web Framework Kit 2.4.0

Via RHSA-2013:1771 https://rhn.redhat.com/errata/RHSA-2013-1771.html
Comment 18 errata-xmlrpc 2014-01-15 12:46:37 EST
This issue has been addressed in following products:

  Red Hat JBoss Data Grid 6.2.0

Via RHSA-2014:0029 https://rhn.redhat.com/errata/RHSA-2014-0029.html